{% load static %}
{% load legacy_url %}
<!doctype html>
<html lang="en">
    <head>
        <meta charset="utf-8">
        <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
        <meta name="description" content="">
        <meta name="author" content="">
        <link rel="icon" href="{% static "assets/ephone-icon.png" %}">

        <title>GURU3 | designed for the IoP</title>

        <!-- Bootstrap core CSS -->
        <link href="{% static "css/bootstrap.min.css" %}" rel="stylesheet"/>
        <link href="{% static "css/guru3.css" %}" rel="stylesheet"/>
        <link href="{% static "open-iconic/font/css/open-iconic-bootstrap.css" %}" rel="stylesheet"/>

        <script src="{% static "js/jquery-3.5.1.min.js" %}"></script>
        <script src="{% static "js/bootstrap.bundle.min.js" %}"></script>
        {% block scripts %}
        {% endblock %}
        <!--<script src="https://support.eventphone.de/assets/chat/chat.min.js"></script>
        <script type="application/javascript">
        $(window).on('load', function() {
            liveChat = new ZammadChat({
                title: 'EVENTPHONE Premium Chat Support',
                background: 'rgb(52,58,64)',
                fontSize: '12px',
                chatId: 1,
                cssAutoload: true,
                target: $('body')
            });
            {% if user.is_authenticated %}{# send Username as chat message #}
                onconest = liveChat.onConnectionEstablished
                liveChat.onConnectionEstablished = function(data) {
                    this.send('chat_session_notice', { session_id: liveChat.sessionId, message: "Guru3 User: {{ user.username }}" });
                    onconest(data);
                }
            {% endif %}
        });
        </script>-->
        {% if not user.is_authenticated %}
            {% if runningEvents|length == 1 and upcomingEvents|length == 1 or runningEvents|length > 1 or upcomingEvents|length > 1 %}
                <script type="application/javascript">
                    $(window).on('load', function() {
                        setTimeout(function() {
                            $('#menuinfo').popover('show');
                            setTimeout(function () {
                                $('#menuinfo').popover('hide');
                            }, 4500);
                        }, 500);
                    });
                </script>
            {% endif %}
        {% endif %}
        {% if userIsCurrentEventAdmin %}
            <script>
                $(function () {
                    var ws_scheme = window.location.protocol == "https:" ? "wss" : "ws";
                    var ws_path = ws_scheme + '://' + window.location.host + "/status/stream/";
                    console.log("Connecting to " + ws_path);
                    var webSocket = new WebSocket(ws_path);
                    webSocket.onmessage = function(e) {
                        var data = JSON.parse(e.data);
                        var count = data['queuelength'];
                        console.log("received queue update:  " + count);
                        $("#wiremessages").text(count);
                        if (count == 0)
                        {
                            $("#wiremessagebtn").removeClass("btn-danger").removeClass("btn-warning").addClass("btn-success");
                        } else if(count <10)
                        {
                            $("#wiremessagebtn").removeClass("btn-success").removeClass("btn-danger").addClass("btn-warning");
                        } else
                        {
                            $("#wiremessagebtn").removeClass("btn-success").removeClass("btn-warning").addClass("btn-danger");
                        }
                    };
                });
        </script>
        {% endif %}
        <style>
            .popover {
                z-index: 999;
            }
            {% if 'font' in request.GET %}
            {% if request.GET.font == 'Comic Sans' %}
            body {
                font-family:'Comic Sans MS', 'Chalkboard SE', 'Comic Neue', sans-serif;
            }
            {% endif %}
            {% endif %}
            {% if 'expert_mode' in request.GET %}
            {% if request.GET.expert_mode == '1' %}
            .bg-expert {
                background-color: #FF5E19;
                padding: 0;
            }
            .bg-expert .nav-link {
                color: white !important;
                height: 100%;
            }
            .bg-expert .nav-link:hover {
                color: #FF5E19 !important;
                background-color: white;
            }
            .bg-expert img {
                background-color: white;
                padding: 2px 10px;
            }
            a,.keyEntry,button.oi { color: #ff5e19; }
            a:hover,.keyEntry:hover,button.oi:hover{ color: #e54500;}
            .btn-primary,.nav-pills .nav-link.active, a.page-link {
                background-color: #ff5e19;
                border-color: #ff5e19;
                color: #fff;
            }
            .btn-primary:hover,.nav-pills .nav-link.active:hover, a.page-link:hover {
                background-color: #e54500;
                border-color: #e54500;
                color: #fff;
            }
            {% endif %}
            {% endif %}
        </style>

    </head>

    <body>
    {% block menu %}
        {% if 'expert_mode' in request.GET and request.GET.expert_mode == '1' %}
            <nav class="navbar navbar-expand-md navbar-dark bg-expert mb-4">
        {% elif "localhost" in request.get_host or "127.0.0.1" in request.get_host or "sandbox3.eventphone.de" in request.get_host %}
            <nav class="navbar navbar-expand-md navbar-dark bg-success mb-4">
        {% elif "dev3.eventphone.de" in request.get_host %}
            <nav class="navbar navbar-expand-md navbar-dark bg-danger mb-4">
        {% elif "incubator3.eventphone.de" in request.get_host %}
            <nav class="navbar navbar-expand-md navbar-dark bg-primary mb-4">
        {% else %}
            <nav class="navbar navbar-expand-md navbar-dark bg-dark mb-4">
        {% endif %}
    <div class="nav-item">
        {% if 'expert_mode' in request.GET and request.GET.expert_mode == '1' %}
        <img src="{% static "assets/expert_mode_ep_logo.svg" %}" style="height: 50px"/>
        {% else %}
        <img src="{% static "assets/ephone.svg" %}" style="height: 24px"/>
        {% endif %}
    </div>
    {% if totalEventCount > 1 %}
        <div class="nav-item dropdown" data-container="body" data-toggle="popover" data-placement="bottom"
             data-trigger="manual" data-animation="true" data-delay="1000" data-title="Info" id="menuinfo"
             data-offset="10px,4px" data-content="There are multiple concurrent events. You can switch them here.">
            <a class="navbar-brand nav-link dropdown-toggle" href="#" data-toggle="dropdown" aria-haspopup="true"
               aria-expaned="false">
    {% else %}
        <a class="navbar-brand nav-link" href="#">
    {% endif %}
    {% block current_event %}
    {% if currentEvent %}
        {{ currentEvent.name }}
    {% else %}
        No upcoming events
    {% endif %}
    {% endblock %}
    </a>
    {% if totalEventCount > 1 %}
            <div class="dropdown-menu">
                {% if permanentEvents %}
                    <h6 class="dropdown-header">Permanent</h6>
                    {% for event in permanentEvents %}
                        {% include "event-selector.html" with event=event %}
                    {% endfor %}
                    <div class="dropdown-divider"></div>
                {% endif %}
                {% if runningEvents %}
                    <h6 class="dropdown-header">Running</h6>
                    {% for event in runningEvents %}
                        {% include "event-selector.html" with event=event %}
                    {% endfor %}
                {% endif %}
                {% if runningEvents and upcomingEvents %}
                    <div class="dropdown-divider"></div>
                {% endif %}
                {% if upcomingEvents %}
                    <h6 class="dropdown-header">Upcoming</h6>
                    {% for event in upcomingEvents %}
                        {% include "event-selector.html" with event=event %}
                    {% endfor %}
                {% endif %}
                {% if user.is_staff %}
                    {% if pastEvents %}
                        {% if runningEvents or upcomingEvents %}
                            <div class="dropdown-divider"></div>
                        {% endif %}
                        <h6 class="dropdown-header">Past</h6>
                        {% for event in pastEvents %}
                            {% if forloop.counter < 10 %}
                                {% include "event-selector.html" with event=event %}
                            {% endif %}
                        {% endfor %}
                    {% endif %}
                {% endif %}
            </div>
        </div>
    {% endif %}

    <div class="collapse navbar-collapse" id="navbarsGuru">
        {% if user.is_authenticated %}{# show the main menu only for logged-in users #}
            <ul class="navbar-nav mr-auto">
                <li class="nav-item">
                    <a class="nav-link" href="{% legacy_url "extension.my" %}">Extensions</a>
                </li>
                <li class="nav-item">
                    <a class="nav-link" href="{% legacy_url "handset.my" %}">DECTs</a>
                </li>
                {% if showEPDDI %}
                <li class="nav-item">
                    <a class="nav-link" href="{% legacy_url "epddi.my" %}">EPDDI Router</a>
                </li>
                {% endif %}
                <li class="nav-item">
                    <a class="nav-link" href="{% legacy_url "audio.my" %}">Audio Files</a>
                </li>
                <li class="nav-item">
                    <a class="nav-link" href="{% legacy_url "callgroup.my" %}">Call Groups
                    {% if callgroupInvites > 0 %}<span class="badge badge-danger">{{callgroupInvites}}</span>{% endif %}
                    </a>
                </li>
                <li class="nav-item">
                    <a class="nav-link" href="{% legacy_url "event.phonebook" %}">Phonebook</a>
                </li>
                {% if userIsCurrentEventAdmin or userIsCurrentEventOrga %}
                <li class="nav-item">
                    <a class="nav-link" href="{% legacy_url "event.orga_phonebook" %}">Orga Phonebook</a>
                </li>
                {% endif %}
                {% if user.is_staff %}
                    <li class="nav-item" style="border-left: 1px solid rgba(255,255,255,.5);">
                        <a class="nav-link" href="{% url "event.list" %}">Events</a>
                    </li>
                {% endif %}
                {% if userIsCurrentEventAdmin %}
                    <li class="nav-item"{% if not user.is_staff %} style="border-left: 1px solid rgba(255,255,255,.5);"{% endif %}>
                        <a class="nav-link" href="{% url "extension.list" %}">Extensions</a>
                    </li>
                    <li class="nav-item">
                        <a class="nav-link" href="{% url "epddi.list" %}">EPDDI</a>
                    </li>
                    <li class="nav-item">
                        <a class="nav-link" href="{% url "inventory.item.list" %}">Inventory</a>
                    </li>
                    <li class="nav-item">
                        <a class="nav-link" href="{% url "user.list" %}">Users</a>
                    </li>
                {% endif %}
            </ul>
        {% endif %}

        <ul class="navbar-nav ml-auto">
            {% if userIsCurrentEventAdmin %}
                {% with count=currentEvent.getOpenWireMessageCount %}
                    {% if count == 0 %}
                        <span style="opacity:1;" id="wiremessagebtn" class="btn btn-success disabled" title="Things to be configured on the onpremise pbx. Lower numbers are better.">
                    {% elif count < 10 %}
                        <span style="opacity:1;" id="wiremessagebtn" class="btn btn-warning disabled" title="Things to be configured on the onpremise pbx. Lower numbers are better.">
                    {% else %}
                        <span style="opacity:1;" id="wiremessagebtn" class="btn btn-danger disabled" title="Things to be configured on the onpremise pbx. Lower numbers are better.">
                    {% endif %}
                            Pending Changes <span class="badge badge-light" id="wiremessages">{{ count }}</span>
                        </span>
                {% endwith %}
            {% endif %}
            <ul class="navbar-nav ml-auto">
            <li class="nav-item">
                <a class="nav-link" href="{% url "support" %}">Help and Support</a>
            </li>
            </ul>
            {% if user.is_authenticated %}
                <li class="nav-item dropdown">
                    <a class="nav-link dropdown-toggle" href="#" id="navbarUsermenu" role="button" data-toggle="dropdown"
                       aria-haspopup="true" aria-expanded="false">{{ user.username }}</a>
                    <div class="dropdown-menu dropdown-menu-right" aria-labelledby="navbarUsermenu">
                        <a class="dropdown-item" href="{% legacy_url "user.profile" %}">Profile</a>
                        <a class="dropdown-item" href="{% legacy_url "password_change" %}">Change password</a>
                        {% if user.is_superuser %}
                            <a class="dropdown-item" href="{% url "admin:index" %}">Django Administration</a>
                        {% endif %}
                    </div>
                </li>

                <li class="nav-item">
                    <a href="{% legacy_url "logout" %}" class="nav-link"><span class="oi oi-account-logout" title="Logout"
                                                                        aria-hidden="true"></span>&nbsp;Logout</a>
                </li>
            {% else %}
                <li class="nav-item">
                    <a href="{% legacy_url "login" %}" class="nav-link"><span class="oi oi-account-login" title="Login"
                                                                       aria-hidden="true"></span>&nbsp;Login</a>
                </li>
            {% endif %}
        </ul>
    </div>
    <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarsGuru"
            aria-controls="navbarsGuru" aria-expanded="false" aria-label="Toggle navigation">
        <span class="navbar-toggler-icon"></span>
    </button>
    </nav>
    {% endblock %}
    <main role="main" class="container" style="padding-bottom: 45px;">
        {% if user.is_authenticated and currentEvent.get_oldest_unprocessed_wiremessage_age_seconds > 300 %}
        <div class="alert alert-warning" role="alert">
            The synchronization of Guru3 to the Eventphone telephone system is temporarily interrupted. You can
            configure your devices but changes may not be reflected immediately. All changes will be synced later and
            your configuration will be live once this message is gone again. For more information read our
            <a href="https://eventphone.de/doku/guru3_sync">wiki</a>.
        </div>
        {% endif %}
        {% block content %}
            Welcome
        {% endblock %}
    </main><!-- /.container -->
    <script>
        $(function () {
            $('[data-toggle="tooltip"]').tooltip()
        })
    </script>
    {% if userIsCurrentEventAdmin %}
    <nav class="fancy-bar navbar fixed-bottom navbar-expand-sm navbar-dark bg-dark">
    <span class="text-white">Built and run using all the fancy technologies!</span>
          <ul class="navbar-nav ml-auto">
          <li class="nav-item" style="padding-right: 1em;">
                    <img src="{% static "assets/azure.png" %}" style="height: 24px"/>
                </li>
                <li class="nav-item" style="padding-right: 1em;">
                    <img src="{% static "assets/icon-cloud-aws.png" %}" style="height: 24px"/>
                </li>
                <li class="nav-item" style="padding-right: 1em;">
                    <img src="{% static "assets/blockchain.png" %}" style="height: 24px"/>
                </li>
                <li class="nav-item" style="padding-right: 1em;">
                    <img src="{% static "assets/logo-ibm-watson.png" %}" style="height: 24px"/>
                </li>
                <li class="nav-item" style="padding-right: 1em;">
                    <img src="{% static "assets/sap-ias-logo-powered-by.svg" %}" style="height: 24px"/>
                </li></ul>
    </nav>{% else %}
    {% if 'js' in request.GET %}
    {% if request.GET.js == '<script>alert("XSS");</script>' %}
    <script>alert('XSS');</script>
    {% endif %}
    {% endif %}
    {% endif %}
    </body>
</html>

